>>> class MyOpenContextManager:
...     def __init__(self, file_name):
...         self.file_name = file_name
...     def __enter__(self):
...         print('__enter__ : ファイルをopenします')
...         self.file_obj = open(self.file_name, 'r')
...         return self.file_obj  # __enter__で返したオブジェクトはasキーワードで参照できる
...     def __exit__(self, type, value, traceback):
...         print('__exit__ : ファイルをcloseします')
...         self.file_obj.close()
...
>>> with MyOpenContextManager('python.txt') as f:
...     print(f.read())
...
__enter__ : ファイルをopenします
Python!  # python.txtの中身である「Python!」が表示される

__exit__ : ファイルをcloseします
