>>> class MyOpenContextManager:
...     def __init__(self, file_name):
...         self.file_name = file_name
...     def __enter__(self):
...         print('__enter__ : ファイルをopenします')
...         self.file_obj = open(self.file_name, 'r')
...         return self.file_obj
...     def __exit__(self, type, value, traceback):
...         print(f'__exit__(type):{type}')
...         print(f'__exit__(value):{value}')
...         print(f'__exit__(traceback):{traceback}')
...         print('__exit__ : ファイルをcloseします')
...         self.file_obj.close()
...
>>> with MyOpenContextManager('python.txt') as f:
...     print(f.read())
...     raise ValueError('my context manager error')
...
__enter__ : ファイルをopenします
Python!

__exit__(type):<class 'ValueError'>
__exit__(value):my context manager error
__exit__(traceback):<traceback object at 0x7fdf22b63208>
__exit__ : ファイルをcloseします
Traceback (most recent call last):
  File "<stdin>", line 3, in <module>
ValueError: my context manager error
