>>> import contextlib
>>> @contextlib.contextmanager
... def my_open_context_manager(file_name):
...     file_obj = open(file_name, 'r')
...     print('__enter__ : ファイルをopenします')
...     yield file_obj
...     print('__exit__ : ファイルをcloseします')
...     file_obj.close()
...
>>> with my_open_context_manager('python.txt') as f:
...     print(f.read())
...     raise ValueError('my context manager error')
...
__enter__ : ファイルをopenします
Python!

Traceback (most recent call last):
  File "<stdin>", line 3, in <module>
ValueError: my context manager error
