>>> def sample_func2(param1, default_arg=0, *args):
...     print(f'{param1=}')
...     print(f'{args=}')
...     print(f'{default_arg=}')
...
>>> sample_func2(1, default_arg=10, 2, 3, 4, 5)  # 呼び出し時にキーワード引数を指定できない
  File "<stdin>", line 1
SyntaxError: positional argument follows keyword argument
>>> sample_func2(1, 2, 3, 4, 5, default_arg=10)  # 呼び出し時にキーワード引数を指定できない
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: sample_func2() got multiple values for argument 'default_arg'
>>> sample_func2(1, 10, 2, 3, 4, 5)  # 呼び出し時にキーワード引数を指定しない場合はエラーにならないが、可読性が下がる
param1=1
args=(2, 3, 4, 5)
default_arg=10
