>>> tp = (1, 2, 3)
>>> a, b, c = tp
>>> print(f'{a}, {b}, {c}')
1, 2, 3
>>> d, e, f = 4, 5, 6  # タプルは()カッコが省略可能なためこのような書き方もできる
>>> print(f'{d}, {e}, {f}')
4, 5, 6
>>> lt = [1, 2, 3]  # リストも同様
>>> a, b, c = lt
>>> print(f'{a}, {b}, {c}')
1, 2, 3
>>> my_dict = {'a': 1, 'b': 2, 'c': 3}
>>> key1, key2, key3 = my_dict  # 辞書のキーをアンパック
>>> print(f'{key1}, {key2}, {key3}')
a, b, c
>>> v1, v2, v3 = my_dict.values()  # 辞書の値をアンパック
>>> print(f'{v1}, {v2}, {v3}')
1, 2, 3
>>> a, b = 1  # 変数の数が一致しないとエラーになる
TypeError: cannot unpack non-iterable int object
>>> a, b = 1, 2, 3  # 変数の数が一致しないとエラーになる
ValueError: too many values to unpack (expected 2)
