 >>> arr = [1.4, 2.0, 3.5, 2.25, 1.98]
 # arrの中身を1つずつround関数で丸めたものをリストにする
 >>> list(map(round, arr))
 [1, 2, 4, 2, 2]
 >>> [round(n) for n in arr]  # 上記mapを使用した処理を内包表記で置き換え
 [1, 2, 4, 2, 2]
 # arrの中身を2以上でフィルターしたものをround関数で丸めリストにする
 # map、filterは第1引数に関数をとるため、lambdaを使用しているが可読性が下がる
 >>> list(map(round, filter(lambda n: n > 2, arr)))
 [4, 2]
 >>> [round(n) for n in arr if n > 2]  # 上記mapとfilterを使用した処理を内包表記で置き換え
 [4, 2]
