 >>> def multiples256(values):  # 256の倍数を返すジェネレーター
 ...     for i in values:
 ...         if i % 256 == 0:
 ...             yield v
 ...
 >>> values = [1512, 384, 512, 2304, 768, 864, 1512, 1792]
 >>> m256 = multiples256(values)
 >>> max(m256)  # 1回目：最大値の取得は成功
 2304
 >>> min(m256)  # 2回目：最小値の取得でempty sequenceのためエラー
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
 ValueError: min() arg is an empty sequence
 # 2目目以降も使用可能にするためにリストオブジェクトに変換
 >>> m256 = list(multiples256(values))  # m256の結果は[512, 2304, 768, 1792]
 >>> max(m256)
 2304
 >>> min(m256)
 512
