>>> def my_decorator(func):  # デコレーター関数
...     def wrap_function():  # デコレート対象の関数の代わりに呼び出されるラッパー関数
...         func()
...         print(f'function: {func.__name__} called')
...     return wrap_function
...
>>> def greeting():
...     print('こんにちは')
...
>>> greeting = my_decorator(greeting)  # (1) デコレーター構文と等価である代入文を使用
>>> greeting
<function my_decorator.<locals>.wrap_function at 0x7ff9cba62378>  # wrap_functionに置き換わっている
>>> greeting()  # wrap_functionは呼び出し可能オブジェクトなので、()を使用してコールできる
こんにちは
function: greeting called
