>>> def my_decorator(func):
...     def wrap_function(a):
...         """wrap_function のドキュメントです"""
...         func(a)
...     return wrap_function
...
>>> @my_decorator
... def greeting(name):
...     """greetingのドキュメントです"""
...     print(f'こんにちは、{name}さん')
...
>>> greeting
<function my_decorator.<locals>.wrap_function at 0x101023940>
>>> greeting.__name__
'wrap_function'  # greetingの名前が、wrap_functionに置き換わっている
>>> greeting.__doc__
'wrap_function のドキュメントです'  # ドキュメントがwrap_functionのドキュメントに置き換わっている
