>>> from functools import wraps
>>> def my_decorator(func):
...     @wraps(func)  # この1文を足すのみ
...     def wrap_function(a):
...         """wrap_function のドキュメントです"""
...         func(a)
...     return wrap_function
...
>>> @my_decorator
... def greeting(name):
...     """greetingのドキュメントです"""
...     print(f'こんにちは、{name}さん')
...
>>> greeting.__name__  # デコレート対象の関数名が得られる
'greeting'
>>> greeting.__doc__
'greetingのドキュメントです'
