>>> import re
>>> m2 = re.match(r'(?P<last>\w+) (?P<first>\w+)', '鈴木 たかのり')  # 姓名を取得する正規表現
>>> m2.group('last')  # サブグループ名を指定
'鈴木'
>>> m2.group('first')
'たかのり'
>>> m2.group('last', 'first')
('鈴木', 'たかのり')
>>> m2['first']  # []でもサブグループ名での指定が可能
'たかのり'
>>> m2.group(1)  # 数値での指定も可能
'鈴木'
>>> m2[2]
'たかのり'
