>>> import re
>>> m = re.match(r'(\w+) ?(\w+)? (\w+)', 'Guido van Rossum')
>>> m.groups()
('Guido', 'van', 'Rossum')  # マッチしたサブグループを取得
>>> m = re.match(r'(\w+) ?(\w+)? (\w+)', 'Takanori Suzuki')
>>> m.groups()  # ミドルネームがないのでNoneになる
('Takanori', None, 'Suzuki')
>>> m.groups('van')  # デフォルト値を指定
('Takanori', 'van', 'Suzuki')
>>> m = re.match(r'(?P<last>\w+) (?P<first>\w+)', '鈴木 たかのり')
>>> m.groupdict()  # マッチした文字列を辞書形式で取得
{'last': '鈴木', 'first': 'たかのり'}
>>> m.expand(r'名前: \1\2')  # テンプレート文字列を使用
'名前: 鈴木たかのり'
>>> m.expand(r'名字(\g<last>) 名前(\g<first>)')  # テンプレート文字列にサブグループ名を指定
'名字(鈴木) 名前(たかのり)'
