>>> import unicodedata
>>> nfkc = unicodedata.normalize('NFKC', 'ガ')
>>> nfkd = unicodedata.normalize('NFKD', 'ガ')
>>> nfkc, nfkd  # normalizeの結果は同じに見える
('ガ', 'ガ')
>>> nfkc.encode('utf-8')  # utf-8でencodeするとbytesの長さが異なる
b'\xe3\x82\xac'
>>> nfkd.encode('utf-8')
b'\xe3\x82\xab\xe3\x82\x99'
>>> nfkd_encoded = nfkd.encode('utf-8')
>>> nfkd_encoded.decode('utf-8')  # decodeするとガ
'ガ'
>>> nfkd_encoded[:3].decode('utf-8')  # 1文字目はカ
'カ'
>>> nfkd_encoded[3:].decode('utf-8')  # 2文字目は濁点
'゛'
