>>> from datetime import date
>>> ganjitsu = date(2021, 1, 1)
>>> ganjitsu
datetime.date(2021, 1, 1)
>>> ganjitsu.year, ganjitsu.month, ganjitsu.day  # 年月日を取得
(2021, 1, 1)
>>> ganjitsu.weekday()  # 2021年の元日の曜日は金曜日
4
>>> ganjitsu.isoformat()
'2021-01-01'
>>> date.fromisoformat('2021-01-01')
datetime.date(2021, 1, 1)
>>> str(ganjitsu)
'2021-01-01'
>>> ganjitsu.strftime('%Y/%m/%d')  # 日付をスラッシュ区切りの文字列に変換
'2021/01/01'
>>> ganjitsu.strftime('%Y %b %d (%a)')  # 日付を月、曜日の文字列付きで変換
'2021 Jan 01 (Fri)'
>>> date.today()
datetime.date(2021, 2, 14)
>>> today = date.today()
>>> f'今日は{today:%Y年%m月%d日}'  # f-stringでも日付を文字列に変換できる
'今日は2021年02月14日'
