>>> from datetime import time
>>> time()
datetime.time(0, 0)
>>> time(16, 12, 25)
datetime.time(16, 12, 25)
>>> time(minute=10)
datetime.time(0, 10)
>>> time(second=10)
datetime.time(0, 0, 10)
>>> time(microsecond=10)
datetime.time(0, 0, 0, 10)
>>> now = time(16, 12, 25)
>>> now.hour, now.minute, now.second, now.microsecond
(16, 12, 25, 0)
>>> now.isoformat()
'16:12:25'
>>> time.fromisoformat('16:12:25')
datetime.time(16, 12, 25)
>>> time.fromisoformat('16:12:25.000384')
datetime.time(16, 12, 25, 384)
>>> time.fromisoformat('16:12:25+04:00')
datetime.time(16, 12, 25, tzinfo=datetime.timezone(datetime.timedelta(seconds=14400)))
>>> now.strftime('%H:%M')
'16:12'
>>> str(now)
'16:12:25'
