>>> from datetime import datetime
>>> now = datetime.now()  # 現在日時を取得
>>> now.date()  # dateを取得
datetime.date(2021, 2, 14)
>>> now.time()  # timeを取得
datetime.time(17, 26, 8, 585404)
>>> now.isoformat()  # ISO 8601形式の文字列を取得
'2021-02-14T17:26:08.585404'
>>> datetime.fromisoformat('2021-02-14')  # ISO 8601形式で文字列をdatetimeオブジェクトに変換
datetime.datetime(2021, 2, 14, 0, 0)
>>> datetime.fromisoformat('2021-02-14T00:05:23')  # ISO 8601形式で文字列をdatetimeオブジェクトに変換
datetime.datetime(2021, 2, 14, 0, 5, 23)
>>> datetime.fromisoformat('2021-02-14T17:26:08.585404')  # ISO 8601形式で文字列をdatetimeオブジェクトに変換
datetime.datetime(2021, 2, 14, 17, 26, 8, 585404)
>>> now.strftime('%Y/%m/%d')  # フォーマットを指定して文字列を取得
'2021/02/14'
>>> datetime.strptime('2021/02/14', '%Y/%m/%d')  # 文字列をdatetimeオブジェクトに変換
datetime.datetime(2021, 2, 14, 0, 0)
>>> from zoneinfo import ZoneInfo
>>> datetime(2021, 5, 24, 22, 50, 0, 0, tzinfo=ZoneInfo('Asia/Tokyo'))  # tzinfoにタイムゾーンを指定
datetime.datetime(2021, 5, 24, 22, 50, tzinfo=zoneinfo.ZoneInfo(key='Asia/Tokyo'))
