>>> from datetime import datetime
>>> from zoneinfo import ZoneInfo
>>> aware_object = datetime(2021, 5, 24, 21, 0, 0, 0, tzinfo=ZoneInfo('Asia/Tokyo'))  # タイムゾーン情報を含む「Awareオブジェクト」
>>> naive_object = datetime(2021, 5, 24, 20, 0, 0, 0)  # タイムゾーン情報を含まない「Naiveオブジェクト」
>>> aware_object - naive_object  # 差分を求めることができない
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: can't subtract offset-naive and offset-aware datetimes
>>> aware_object > naive_object  # 比較することができない
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: can't compare offset-naive and offset-aware datetimes
