>>> from dateutil.rrule import rrule
>>> from dateutil.rrule import DAILY, WEEKLY, MONTHLY
>>> from dateutil.rrule import MO, TU, WE, TH, FR, SA, SU
>>> import pprint
>>> import sys
>>> sys.displayhook = pprint.pprint  # 表示を見やすくするために設定
>>> start = datetime(2021, 2, 16)
>>> list(rrule(DAILY, count=3, dtstart=start))  # 指定日から3日間
[datetime.datetime(2021, 2, 16, 0, 0),
 datetime.datetime(2021, 2, 17, 0, 0),
 datetime.datetime(2021, 2, 18, 0, 0)]
>>> list(rrule(DAILY, dtstart=start, until=datetime(2021, 2, 19)))  # 指定期間毎日
[datetime.datetime(2021, 2, 16, 0, 0),
 datetime.datetime(2021, 2, 17, 0, 0),
 datetime.datetime(2021, 2, 18, 0, 0),
 datetime.datetime(2021, 2, 19, 0, 0)]
>>> list(rrule(WEEKLY, count=4, wkst=SU, byweekday=(TU,TH), dtstart=start))  # 毎週火曜、木曜
[datetime.datetime(2021, 2, 16, 0, 0),
 datetime.datetime(2021, 2, 18, 0, 0),
 datetime.datetime(2021, 2, 23, 0, 0),
 datetime.datetime(2021, 2, 25, 0, 0)]
>>> list(rrule(MONTHLY, count=3, byweekday=FR(-1), dtstart=start))  # 毎月最終金曜日
[datetime.datetime(2021, 2, 26, 0, 0),
 datetime.datetime(2021, 3, 26, 0, 0),
 datetime.datetime(2021, 4, 30, 0, 0)]
