>>> from operator import attrgetter
>>> from datetime import date
>>> from dataclasses import dataclass
>>> @dataclass  # dataclassを定義
... class User:
...     name: str
...     birthday: date
...
>>> users = [User("terada", date(1975, 10, 10)),
...          User("suzuki", date(1989, 1, 4)),
...          User("fukuda", date(1984, 3, 2))]  # Userクラスを要素に持つリストを定義
>>> sorted(users, key=attrgetter("birthday.month", "birthday.day"))  # ソートを実行
[User(name='suzuki', birthday=datetime.date(1989, 1, 4)),
User(name='fukuda', birthday=datetime.date(1984, 3, 2)),
User(name='terada', birthday=datetime.date(1975, 10, 10))]
