>>> from collections import Counter
>>> c = Counter(a=4, b=1, c=-2, d=2)
>>> c
Counter({'a': 4, 'd': 2, 'b': 1, 'c': -2})
>>> list(c.elements())  # カウンターの数分キーを返す
['a', 'a', 'a', 'a', 'b', 'd', 'd']
>>> c.most_common(2)  # 値が大きい順に2件取得する
[('a', 4), ('d', 2)]
>>> c2 = Counter(a=1, b=3, e=1)  # 別のCounterオブジェクトを作成
>>> c.subtract(c2)  # cからc2を減算する
>>> c
Counter({'a': 3, 'd': 2, 'e': -1, 'b': -2, 'c': -2})
>>> c.update(c2)  # cにc2を加算する
>>> c
Counter({'a': 4, 'd': 2, 'b': 1, 'e': 0, 'c': -2})
