>>> d = {'spam':100}  # 通常の辞書を作成
>>> d['ham']  # 存在しないないキーを指定するとKeyErrorが発生する
Traceback (most recent call last):
  File "<input>", line 1, in <module>
KeyError: 'ham'
>>> from collections import defaultdict
>>> def value():  # デフォルト値を返す関数を定義
...     return 'default-value'
...
>>> dd = defaultdict(value, spam=100)  # デフォルトにvalue()関数を指定
>>> dd  # 生成されたオブジェクトを確認
defaultdict(<function value at 0x10748cee0>, {'spam': 100})
>>> dd['ham']  # 存在しないキーを指定するとデフォルト値が返る
'default-value'
>>> dd['spam']
100
