>>> mode = 0o700  # 中間ディレクトリに指定したいパーミッション
>>> new_mask = 0o777 & ~mode  # umaskに一時的に指定する値
>>> oct(new_mask)
'0o77'
>>> oct(0o777 & ~new_mask)  # 前述の計算方法で中間ディレクトリのパーミッションを求めると、modeと同じ値700になっているのがわかる
'0o700'
>>> old_mask = os.umask(new_mask)  # os.umask()関数は新しいumaskを設定して以前のumaskを返す
>>> try:
...     os.makedirs('dir1/dir2', mode=mode)
... finally:
...     os.umask(old_mask)  # umaskをもとの状態に戻す
...
63
