>>> from pathlib import PurePath, PureWindowsPath
>>> p = PurePath('/spam/ham/egg.tar.gz')
>>> p.parts  # 各要素を取得
('/', 'spam', 'ham', 'egg.tar.gz')
>>> wp = PureWindowsPath('c:/Program Files/spam/ham.exe')
>>> wp.parts
('c:\\', 'Program Files', 'spam', 'ham.exe')
>>> p.drive  # ドライブを取得
''
>>> wp.drive
'c:'
>>> p.root  # ルートを取得
'/'
>>> wp.root
'\\'
>>> wp.anchor  # ドライブとルートを結合した文字列を取得
'c:\\'
>>> for parent in p.parents:  # 上位のパスのシーケンスを取得
...     parent
...
PurePosixPath('/spam/ham')
PurePosixPath('/spam')
PurePosixPath('/')
>>> p.parent  # 直接の上位のパスを取得
PurePosixPath('/spam/ham')
>>> p.name  # 末尾の要素を取得
'egg.tar.gz'
>>> p.suffix  # 拡張子を取得
'.gz'
>>> p.suffixes  # 拡張子のリストを取得
['.tar', '.gz']
>>> p.stem  # 末尾の要素から拡張子を除いたものを取得
'egg.tar'
