>>> from pathlib import PurePath
>>> p1 = PurePath('/spam/ham/eggs.txt')
>>> p2 = PurePath('eggs.txt')
>>> p1.is_absolute()  # 絶対パスか
True
>>> p2.is_absolute()
False
>>> p1.is_relative_to('/spam')  # 指定したパスに対して相対か
True
>>> p1.is_relative_to('/ham')  # 指定したパスに対して相対か
False
>>> p1.match('*.txt')  # パターンに一致するか
True
>>> p1.with_name('hoge.txt')  # nameを変更（eggs.txt→hoge.txt）
PurePosixPath('/spam/ham/hoge.txt')
>>> p1.with_stem('fuga')  # stemを変更（eggs→fuga）
PurePosixPath('/spam/ham/fuga.txt')
>>> p1.with_suffix('.py')  # 拡張子を変更（.txt→.py）
PurePosixPath('/spam/ham/eggs.py')
>>> p1.with_suffix('')  # 拡張子を削除
PurePosixPath('/spam/ham/eggs')
