>>> from pathlib import Path
>>> Path.cwd()  # 現在のディレクトリ
PosixPath('/Users/takanori/spam/ham')
>>> Path.home()  # ホームディレクトリ
PosixPath('/Users/takanori')
>>> p = 'spam.txt'
>>> p.exists()  # 存在を確認
True
>>> p.stat().st_mode  # 状態を取得
33188
>>> p.chmod(0o600)  # パーミッションを変更
>>> p.stat().st_mode
33152
>>> p.is_file()  # ファイルかどうか
True
>>> with p.open(encoding='utf-8') as f:  # ファイルを開く
...     print(f.read())
...
スパムスパムスパム
>>> p.write_text('ハムハムハム', encoding='utf-8')  # ファイルに書き込み
6
>>> p.read_text(encoding='utf-8')  # ファイルから読み込み
'ハムハムハム'
>>> p.unlink()  # ファイルを削除
>>> p.exists()
False
>>> p.touch()  # ファイルを作成
>>> p.resolve()  # 絶対パスを取得
PosixPath('/Users/takanori/spam/ham/spam.txt')
