 >>> import tempfile
 >>> with tempfile.TemporaryFile() as tmpf:
 ...     tmpf.write(b'test test test\n')
 ...     tmpf.seek(0)
 ...     tmpf.read()
 ...
 15  # tmpf.write()の戻り値
 0  # tmpf.seek()の戻り値
 b'test test test\n'  # tmpf.read()の戻り値
 # withブロックを抜けるとファイルを閉じて削除される
 >>> tmpf = tempfile.TemporaryFile()
 >>> tmpf.write(b'Hello tempfile\n')
 14
 >>> tmpf.seek(0)
 0
 >>> tmpf.read()
 b'Hello tempfile\n'
 >>> tmpf.close()  # ファイルを閉じると削除される
