>>> import tempfile
>>> from pathlib import Path
>>> with tempfile.TemporaryDirectory() as tmpdirname:
...     tmpdirname  # ディレクトリ名を取得
...     p = Path(tmpdirname)
...     p.exists()  # ディレクトリの存在を確認
...     p2 = p / 'hoge.txt'
...     p2.touch()  # ディレクトリの下にファイルを作成
...     p2.exists()  # ファイルの存在を確認
...
'/var/folders/lp/xhvsj17d1yb2cgfkc7cwhcsw0000gn/T/tmpc87au9hb'
True
True
>>> p.exists()  # withブロックを抜けるとディレクトリとファイルが削除される
False
>>> p2.exists()
False
