>>> import gzip
>>> with gzip.open('sample.gz', 'wt') as f:  # テキストモードで圧縮ファイルを作成
...     f.write('日本語のテキストをgzip圧縮ファイルに書き出す' * 100)
...
2400
>>> with open('sample.gz', 'rb') as f:  # ファイルの中身を確認
...     data = f.read()
...
>>> len(data)  # 圧縮されているのでサイズが小さい
137
>>> with gzip.open('sample.gz', 'rt') as f:  # テキストモードで圧縮ファイルを展開
...     content = f.read()
...
>>> len(content)
2400
>>> content[:24]  # 先頭24文字を確認
'日本語のテキストをgzip圧縮ファイルに書き出す'
