>>> import pickle
>>> from datetime import datetime
>>> now = datetime.now()
>>> data = ('now', now)  # シリアライズ対象のデータを作成する
>>> data
('now', datetime.datetime(2021, 3, 27, 16, 47, 51, 927444))
>>> serialized = pickle.dumps(data)  # pickle形式でシリアライズ
>>> serialized  # シリアライズされたバイト列を確認
b'\x80\x04\x952\x00\x00\x00\x00\x00\x00\x00\x8c\x03now\x94\x8c\x08datetime\x94\x8c\x08datetime\x94\x93\x94C\n\x07\xe5\x03\x17\x1446\x0b\x90T\x94\x85\x94R\x94\x86\x94.'
>>> data2 = pickle.loads(serialized)  # デシリアライズ
>>> data2  # データが復元できていることを確認
('now', datetime.datetime(2021, 3, 27, 16, 47, 51, 927444))
