>>> from configparser import ConfigParser
>>> config = ConfigParser()
>>> config.read('config.ini')  # INIファイルの読み込み
['config.ini']
>>> config.sections()  # セクションの一覧を取得する
>>> ['USER_A']  # 戻り値のリスト内には、 DEFAULTセクションは含まれない
>>> config.options('USER_A')  # オプション名の一覧を取得する
['home_dir', 'group', 'auth', 'limit']  # オプション名は大文字小文字が区別されず、出力時は小文字へ自動変換される
>>> 'USER_A' in config  # セクションの存在確認
True
>>> config['USER_A']['group']  # オプションの値を取得
'Developer'
>>> 'group' in config['USER_A']  # セクション内のオプション名は大文字小文字の区別なくアクセスできる
True
>>> 'GROUP' in config['USER_A']
True
>>> config['USER_A']['Limit']  # DEFAULT値の採用
'200'
