 from openpyxl import Workbook
 from openpyxl.chart import Reference, Series, LineChart

 wb = Workbook()
 ws = wb.active  # ワークシートを操作するために、アクティブなワークシートを取得する

 rows = [  # 2005年と2020年の東京の月間降水量のデータ
     ['月', '2005', '2020'],
     ['1月', 77, 135],
     ['2月', 48, 15],
     ['3月', 71, 131],
     ['4月', 81, 296],
     ['5月', 180, 118],
     ['6月', 170, 212],
     ['7月', 247, 270],
     ['8月', 189, 61],
     ['9月', 177, 117],
     ['10月', 201, 205],
     ['11月', 34, 14],
     ['12月', 3, 13],
 ]

 for row in rows:
     ws.append(row)  # シートにデータを入力する

 chart = LineChart()  # 折れ線グラフを作成する
 chart.title = '東京の月間降水量'  # グラフのタイトルの設定
 chart.y_axis.title = '降水量'
 chart.x_axis.title = '月'

 # グラフで使用する値をセルの範囲で指定
 values = Reference(ws, min_col=2, min_row=1, max_col=3, max_row=13)
 categories = Reference(ws, min_col=1, min_row=2, max_col=1, max_row=13)

 # chartオブジェクトにデータを追加
 chart.add_data(values, titles_from_data=True)
 chart.set_categories(categories)

 # Seriesを使用するとレイアウトを細かく設定できる
 s1 = chart.series[0]
 s1.graphicalProperties.line.dashStyle = 'sysDot'

 s2 = chart.series[1]
 s2.smooth = True

 ws.add_chart(chart, 'A15')  # シートのA15セルにグラフを追加
 wb.save('sample_chart.xlsx')
