from pathlib import Path
from PIL import Image

p = Path('/tmp/jpeg/')
save_thumbnail_path = '/tmp/thumbnail/'
size = (200, 200)

for infile in p.iterdir():  # /tmp/jpegディレクトリ配下にあるファイル一覧をfor文で処理する
    outfile = save_thumbnail_path + Path(infile).stem + '.thumbnail.jpg'
    try:
        with Image.open(infile) as im:
            im.thumbnail(size)
            im.save(outfile, 'JPEG')
    except OSError:
        print(f'cannot create thumbnail for {infile}')
