 # Python 3.7（Python 3.7.9以下の場合）
 >>> qs = 'q=python&oq=python;sourceid=chrome&ie=UTF-8'
 # デフォルトのセパレーターは&と;
 >>> parse.parse_qs(qs)
 {'q': ['python'], 'oq': ['python'], 'sourceid': ['chrome'], 'ie': ['UTF-8']}
 # separator引数が使用できない
 >>> parse.parse_qs(qs, separator=';')
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
 TypeError: parse_qs() got an unexpected keyword argument 'separator'
 # Python 3.9.5はseparatorを指定可能
 # separatorに複数の文字列を指定した場合はORではなくパターンマッチ
 >> parse.parse_qs(qs, separator='&;')
 {'q': ['python&oq=python;sourceid=chrome&ie=UTF-8']}
