 >>> import email.message
 >>> msg = email.message.EmailMessage()
 # ヘッダーをセット
 >>> msg.add_header("From", "kadowaki@example.com")
 >>> msg.add_header("To", "somebody@example.com, anyone@example.com")
 >>> msg.add_header("Subject", "Test Mail")
 # メッセージをセット
 >>> msg_body = """
 ... Hello Python!
 ...
 ... Bye!!
 ... """
 >>> msg.set_content(msg_body)
 >>> msg.is_multipart()  # マルチパートか確認
 False
 >>> msg.keys()  # ヘッダーの一覧を取得
 ['From', 'To', 'Subject', 'Content-Type', 'Content-Transfer-Encoding', 'MIME-Version']
 >>> msg.values()  # ヘッダーの値の一覧を取得
 ['kadowaki@example.com', 'somebody@example.com, anyone@example.com', 'Test Mail', 'text/plain; charset="utf-8"', '7bit', '1.0']
 >>> msg.get("From")  # Fromの値を取得
 'kadowaki@example.com'
 >>> msg.get_payload()  # ペイロード（本文）を取得
 '\nHello Python!\n\nBye!!\n'
 >>> msg.as_string()  # メッセージ全体を文字列で取得
 'From: kadowaki@example.com\nTo: somebody@example.com, anyone@example.com\nSubject: Test Mail\nContent-Type: text/plain; charset="utf-8"\nContent-Transfer-Encoding: 7bit\nMIME-Version: 1.0\n\n\nHello Python!\n\nBye!!\n'
 # メッセージにファイルを添付する例
 >>> with open('email.txt', 'rb') as f:
 ...     data = f.read()
 ...
 >>> msg.add_attachment(data, maintype='text', subtype='plain')
 >>> msg.add_header('Content-Disposition', 'attachment', filename='email.txt')
 >>> msg.is_multipart()
 True
