>>> import email.parser
>>> parser = email.parser.Parser()  # Parserを生成
>>> with open('email.txt') as f:
...     m = parser.parse(f)  # ファイルの中身を解析
...     type(m)  # type()関数で型を確認
...     m.items()  # ヘッダーを取得
...
<class 'email.message.Message'>
[('From', 'takanory@example.com'), ('Subject', 'test email')]

>>> with open('email.txt') as f:
...     s = f.read()  # ファイルを文字列として読み込む
...     m = email.message_from_string(s)  # 文字列を解析
...     m.items()
...
[('From', 'takanory@example.com'), ('Subject', 'test email')]

>>> with open('email.txt') as f:
...     m = email.message_from_file(f)
...     m.items()
...
[('From', 'takanory@example.com'), ('Subject', 'test email')]
