>>> from lxml import etree
>>> from urllib.request import urlopen
>>> source = urllib.request.urlopen('https://docs.python.org/ja/3/library/').read()  # URLを開きHTMLを読み込む
>>> tree = etree.fromstring(source, etree.HTMLParser())  # HTMLParserに渡してツリーを取得
>>> elements = tree.findall('.//li[@class="toctree-l1"]/a')  # XPath式を使い、class属性を指定してliタグを検索
>>> for element in elements:  # 検索結果を表示
...     print(element.text, element.attrib['href'])
...
はじめに intro.html
組み込み関数 functions.html
組み込み定数 constants.html
組み込み型 stdtypes.html
（省略）
