>>> from bs4 import BeautifulSoup
>>> from urllib import request
>>> soup = BeautifulSoup(request.urlopen('https://www.python.org'))  # パーサーはデフォルトのhtml.parserが使用される
>>> soup.title  # title要素を取得
<title>Welcome to Python.org</title>
>>> soup.title.text  # title要素のテキストを取得
'Welcome to Python.org'
>>> soup.h1  # h1要素を取得
<h1 class="site-headline">
<a href="/"><img alt="python™" class="python-logo" src="/static/img/python-logo.png"/></a>
</h1>
>>> soup.h1.img  # h1要素の子要素のimg要素を取得
<img alt="python™" class="python-logo" src="/static/img/python-logo.png"/>
>>> soup.h1.img.attrs  # img要素の属性と値を取得
{'class': ['python-logo'], 'src': '/static/img/python-logo.png', 'alt': 'python™'}
>>> soup.h1.img['src']  # img要素のsrc属性の値
'/static/img/python-logo.png'
