>>> from bs4 import BeautifulSoup
>>> import requests
>>> res = requests.get('https://docs.python.org/ja/3/whatsnew/3.9.html')
>>> res.encoding = res.apparent_encoding  # Requestsによる文字コードの判定結果を指定
>>> soup = BeautifulSoup(res.text)
>>> h2 = soup.find('h2')  # 最初にリリースハイライト部分のh2要素を取得
>>> parent_div = h2.find_parent('div')  # 次に親となるdiv要素を検索
>>> print(parent_div)
<div class="section" id="summary-release-highlights">
<h2>概要 -- リリースハイライト<a class="headerlink" href="#summary-release-highlights" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>新たな文法機能:</p>
（省略）
>>> parent_div.p  # 親要素の持つ最初のp要素を確認
<p>新たな文法機能:</p>
>>> parent_div.p.find_next_sibling('p')  # p要素の兄弟要素となるp要素を探す
<p>新たな組み込み機能:</p>
