>>> from sample_processing import ShoppingSiteAPI
>>> from unittest.mock import MagicMock
>>> api = ShoppingSiteAPI()  # 外部APIのsearch_items()関数を置き換えるモックオブジェクトを作成
>>> api.search_items = MagicMock()
>>> api.search_items
<MagicMock id='4406746176'>
>>> api.search_items.return_value = ['モック商品1', 'モック商品2', 'モック商品3']  # search_items()関数の戻り値を設定
>>> api.search_items('商品')
['モック商品1', 'モック商品2', 'モック商品3']
>>> api.search_items.side_effect = Exception('例外を設定します')  # 関数に例外を設定できる
>>> api.search_items('商品')
Traceback (most recent call last):
  ...
Exception: 例外を設定します
