>>> from unittest.mock import Mock, MagicMock
>>> magic_mock = MagicMock()  # MagicMockを利用する例
>>> int(magic_mock)  # あらかじめ特殊メソッドがサポートされている（必ず1が返ってくる）
1
>>> mock = Mock()  # Mockを利用する例
>>> int(mock)  # __int__を定義していないためエラーが発生する
Traceback (most recent call last):
  ...
TypeError: int() argument must be a string, a bytes-like object or a number, not 'Mock'
>>> mock.__int__ = Mock(return_value=1)  # int()を利用したい場合は特殊メソッド__int__も定義する必要がある
>>> int(mock)
1
