from sample_processing import my_processing
from unittest.mock import patch
import unittest

class ExampleTest(unittest.TestCase):
    # コンテキストマネージャーを利用してShoppingSiteAPIをAPIMockで置き換える
    def test_my_processing(self):
        with patch('sample_processing.ShoppingSiteAPI') as APIMock:
            api = APIMock()
            api.search_items.return_value = ['モック商品1', 'モック商品2', 'モック商品3']

            # 依存した処理をモックで置き換えたうえでmy_processing()の処理を実行
            self.assertEqual(my_processing(), 'モック商品1,モック商品2,モック商品3が見つかりました')

        # with文の外に出るとパッチは適用されない
        self.assertEqual(my_processing(), '商品1,商品2,商品3が見つかりました')

if __name__ == '__main__':
    unittest.main()
