from sample_processing import my_processing
from unittest.mock import patch
import unittest

class ExampleTest(unittest.TestCase):
    @patch('sample_processing.ShoppingSiteAPI.search_items')
    @patch('sample_processing.ShoppingSiteAPI.purchase')
    def test_example(self, purchase_mock, search_items_mock):
        search_items_mock.return_value = ['モック商品1', 'モック商品2', 'モック商品3']

        # my_processing()関数の内部でShoppingSiteAPIクラスが以下のように使われているはず
        # search_itemsメソッドが1回呼ばれる
        # purchaseメソッドが呼ばれない
        actual = my_processing()

        expected = 'モック商品1,モック商品2,モック商品3が見つかりました'
        self.assertEqual(actual, expected)
        # search_itemsメソッドは少なくとも一度は呼ばれているのでエラーにならない
        search_items_mock.assert_called()
        # purchaseメソッドは呼ばれていないのでエラーになる
        purchase_mock.assert_called()

if __name__ == '__main__':
    unittest.main()
