from datetime import datetime
import unittest

import freezegun


class ExampleTest(unittest.TestCase):
    # デコレーターを付けたテストメソッドのなかでは現在日時が2021-01-01 00:00:00になる
    @freezegun.freeze_time('2021-01-01 00:00:00')
    def test_example1(self):
        self.assertEqual(datetime.utcnow(), datetime(2021, 1, 1, 0, 0, 0))

    def test_example2(self):
        # withブロックのなかでは現在日時が2021-01-01 00:00:00になる
        with freezegun.freeze_time('2021-01-01 00:00:00'):
            self.assertEqual(datetime.utcnow(), datetime(2021, 1, 1, 0, 0, 0))


if __name__ == '__main__':
    unittest.main()
