>>> import logging
>>> logger =  logging.getLogger('hoge.fuga.piyo')  # hoge.fuga.piyoという名前を設定する
>>> logger.setLevel(logging.INFO)  # INFOレベル以上のログを出力する
>>> handler = logging.FileHandler('/tmp/test.log')  # ファイルを出力先とするハンドラーを作成
>>> handler.setLevel(logging.INFO)  # INFOレベル以上のログを出力する
>>> logging_filter = logging.Filter('hoge.fuga')  # ロガー名がhoge.fugaにマッチする場合のみ出力するフィルターを作成（上記のロガーはマッチする）
>>> formatter = logging.Formatter('%(asctime)s - %(name)s - %(levelname)s - %(message)s')
>>> handler.setFormatter(formatter)  # ハンドラーにフォーマッターを設定
>>> handler.addFilter(logging_filter)  # ハンドラーにフィルターを設定
>>> logger.addHandler(handler)  # ロガーにハンドラーを設定
>>> logger.addFilter(logging_filter)  # ロガーにフィルターを設定
>>> logger.debug('debug message')  # ログの出力
>>> logger.info('info message')
