import logging
from logging.config import dictConfig

config = {
    'version': 1,  # dictConfigフォーマットのバージョン。1のみサポートされる
    'disable_existing_loggers': False,  # Falseの場合は既存のロギング設定を無効化しない
    'formatters': {  # フォーマッター設定を構成する辞書
        'example': {  # フォーマッター名
            'format': '%(asctime)s - %(name)s - %(levelname)s - %(message)s',
        },
    },
    'filters': {  # フィルター設定を構成する辞書
        'hoge-filter': {  # フィルター名
            'name': 'hoge.fuga',  # フィルター対象のロガー名
        },
    },
    'handlers': {  # ハンドラー設定を構成する辞書
        'file': {  # ハンドラー名
            'level': 'INFO',  # ハンドラーのログレベルを指定する
            'class': 'logging.FileHandler',  # ハンドラーのクラス
            'filename': '/tmp/test.log',  # 出力先のファイルパス
            'formatter': 'example',  # ハンドラーにセットするフォーマッター名
            'filters': ['hoge-filter'],  # ハンドラーにセットするフィルター名のリスト
        },
    },
    'loggers': {  # ロガー設定を構成する辞書
        'hoge': {  # ロガー名
            'handlers': ['file'],  # ロガーが利用するハンドラー名のリスト
            'level': 'INFO',  # ロガーのログレベル
            'propagate': True,  # Trueの場合は子のロガーに設定を伝播する
        },
    },
}
dictConfig(config)
logger = logging.getLogger('hoge.fuga.piyo')
logger.debug('debug message')
logger.info('info message')
