 >>> import secrets
 >>> from urllib import parse
 >>> reset_token = secrets.token_urlsafe()  # 一時的なトークンを生成
 >>> url = 'https://example.com/?reset=' + reset_token
 >>> url
 'https://example.com/?reset=VTxNxvHqBGR0XOf8UtCsLWrhEpIZnn715FoyWwCHUKQ'
 # 生成したトークンとURLから取り出したトークンが同一かをチェック
 >>> url_parse = parse.urlparse(url)  # url をパースしてクエリ文字列だけを取り出す
 >>> qs = parse.parse_qs(url_parse.query)
 >>> qs
 {'reset': ['VTxNxvHqBGR0XOf8UtCsLWrhEpIZnn715FoyWwCHUKQ']}
 >>> secrets.compare_digest(reset_token, qs['reset'][0])  # 生成したトークンとクエリ文字列が同一か
 True
