>>> import secrets
>>> import string
>>> special_chars = {'%', '&', '$', '#', '@', '!', '<', '>'}  # 特殊記号を定義
>>> pwd_chars = string.ascii_letters + string.digits + ''.join(special_chars)
>>> pwd_chars
'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789%&$#@!<>'
>>> while True:
...     password = ''.join(secrets.choice(pwd_chars) for i in range(10))  # パスワードを生成
...     set_pass = set(password)  # 生成されたパスワードのsetオブジェクトを作成
...     if (set_pass & special_chars  # 特殊文字が含まれているか
...         and set_pass & set(string.ascii_letters)  # アルファベットが含まれているか
...         and set_pass & set(string.digits)):  # 数字が含まれているか
...         break
...
>>> password
'pS%YlRX>k9'
