# パディングクラス、ハッシュ関数クラスをインポート
>>> from cryptography.hazmat.primitives.asymmetric import padding
>>> from cryptography.hazmat.primitives import hashes
>>> message = b"encrypted data"  # 暗号化するメッセージ
>>> cipher_text = public_key.encrypt(
...     message,
...     padding.OAEP(
...         mgf=padding.MGF1(algorithm=hashes.SHA256()),
...         algorithm=hashes.SHA256(),
...         label=None
...     )
... )
>>> cipher_text  # 暗号化されたバイト文字列を確認
b'=9\xfd\xe0E\xfb\x93\x1d\x90\xc3\x16/\x87\xf3\xfe\xf0u\xd5L\x84\xed\x84\xc6\xf3\x9b+\x1a\x11s\x9eJ\xc9H\xd5{\xe1&\xb1v\xf0\rw…（省略）'
