import asyncio

async def thinking_order():
    """メニューを5秒間考えて注文する"""
    print("お客様: 考え中 ...")
    await asyncio.sleep(5)  # asyncio.sleep()関数で5秒停止する
    print("お客様: 考え中 終了")
    return "牛のテリーヌ"

async def order():
    """注文を聞く"""
    print("接客係: ご注文は何になさいますか？")
    order_menu = await thinking_order()  # awaitでthinking_order()コルーチンを指定し、戻り値を受け取る
    print(f"接客係: {order_menu=}")

asyncio.run(order())  # order()コルーチンをエントリーポイントとしてイベントループを実行
