import asyncio
from time import time  # 時間計測用

async def thinking_order():
    """メニューを5秒間考えて注文する"""
    print("お客様: 考え中 ...")
    await asyncio.sleep(5)  # asyncio.sleep()関数で5秒停止する
    print("お客様: 考え中 終了")
    return "牛のテリーヌ"

async def order():
    """注文を聞く"""
    start = time()
    print("接客係: ご注文は何になさいますか？")
    task = asyncio.create_task(thinking_order())  # コルーチンを指定しtaskを作成
    order_menu = await task  # taskをawaitし終了まで待つ
    print(f"接客係: {order_menu=}")
    print(f"time: {time() - start}")  # 終了までにかかった時間を出力

asyncio.run(order())  # order()コルーチンをエントリーポイントとしてイベントループを実行
