async def thinking_order(sec):
    """引数で受け取ったsecの秒数、asyncio.sleepで停止するコルーチン"""
    print(f"お客様: 考え中 {sleep_time}秒待って")
    await asyncio.sleep(sec)  # 引数secの秒数停止する
    print("お客様: 考え中 終了")
    return "牛のテリーヌ"

async def order():
    """タスクを2つ作りawaitする"""
    start = time()
    print("接客係: ご注文は何になさいますか？")
    task1 = asyncio.create_task(thinking_order(1))  # 待ち時間に1秒を指定
    task2 = asyncio.create_task(thinking_order(5))  # 待ち時間に5秒を指定

    print("task1 await 前")
    order_menu_1 = await task1  # ここで登録したタスク2つの実行が開始する
    print(f"task1 await 後 {order_menu_1=}")  # task1の戻り値を出力

    print("task2 await 前")
    order_menu_2 = await task2
    print(f"task2 await 後 {order_menu_2=}")  # task2の戻り値を出力
    print(f"time: {time() - start}")  # 終了までにかかった時間を出力

asyncio.run(order())  # order()コルーチンをエントリーポイントとしてイベントループを実行
