 import asyncio
 from time import time  # 時間計測用

 # メニュー
 GRAND_MENU = ["牛のテリーヌ", "鮮魚のアクアパッツァ", "季節野菜のチーズ焼き", "信州牛のタリアータ", "サーロインの炭火焼き"]

 async def thinking_order(sec):
     """引数で受け取ったsecの秒数、asyncio.sleepで停止するコルーチン"""
     print(f"お客様: 考え中 引数={sec}")
     await asyncio.sleep(sec)  # 引数secの秒数停止する
     print(f"お客様: 考え中 終了 引数={sec}")
     return sec, GRAND_MENU[sec - 1]  # 引数とメニューを返す

 async def order():
     """gatherでまとめて実行しまとめて結果を受け取る"""
     start = time()
     print("接客係: ご注文は何になさいますか？")
     tasks = [
         asyncio.create_task(thinking_order(5)),
         asyncio.create_task(thinking_order(1)),
         asyncio.create_task(thinking_order(3)),
     ]  # タスクを3つ作りリストにする。1つ目の引数に5、2つ目の引数に1、3つ目の引数に3を渡す
     results = await asyncio.gather(*tasks)
     print(f"接客係: {results}")  # taskの戻り値をprint()で出力する
     print(f"time: {time() - start}")  # 終了までにかかった時間を出力

 asyncio.run(order())  # order()コルーチンをエントリーポイントとしてイベントループを実行
