 import asyncio
 from random import randint  # 待ち時間と注文するメニューはランダム
 from time import time  # 時間計測用

 # メニュー名と調理時間を持つ。調理時間の最大は5秒
 MENU_AND_COOKINGTIME = [
     {"name": "牛のテリーヌ", "sec": 5},
     {"name": "鮮魚のアクアパッツァ", "sec": 3},
     {"name": "季節野菜のチーズ焼き", "sec": 1},
 ]

 async def order(no):
     """注文をとる。randomな時間待ち、randomな注文を受け取るコルーチン"""
     print(f"注文: 開始 {no}番目のお客様")
     wait_time = randint(0, 2)
     await asyncio.sleep(wait_time)  # 注文を考えるお客様
     menu_num = randint(0, 2)
     print(f"注文: {no}番目のお客様: {MENU_AND_COOKINGTIME[menu_num]}")
     return MENU_AND_COOKINGTIME[menu_num]

 async def cooking(menu):
     """調理する。menu['sec']秒数、asyncio.sleepで停止するコルーチン"""
     print(f"調理: {menu['name']} 調理開始")
     await asyncio.sleep(menu["sec"])
     print(f"調理: {menu['name']} 調理完了")
     return menu["name"]

 async def chain(n):
     """orderの結果を受け取り、cookingに渡す"""
     menu = await order(n)
     return await cooking(menu)  # 注文を受け取り、できあがった料理を返す

 async def main():
     """エントリポイント。お客様の人数分、タスクを登録し結果をまとめて受け取る"""
     start = time()
     print("タスク開始")
     result = await asyncio.gather(*(chain(n) for n in range(1, 4)))  # 3名のお客様
     print("配膳: お待たせしました")
     print(f"配膳: {result=}")
     print("配膳: お料理をお楽しみください")
     print(f"time: {time() - start}")  # 終了までにかかった時間を出力

 asyncio.run(main())
