from concurrent.futures import ProcessPoolExecutor

def func(val1, val2, val3):  # submit()メソッドで実行する関数を定義
    return val1 + val2 + val3

def main():
    """ProcessPoolExecutorのsubmit()メソッドでfunc()関数を実行する"""
    executor = ProcessPoolExecutor(max_workers=1)
    future = executor.submit(func, 1, 3, 5)  # 複数の引数はカンマ区切りで渡せる
    result = future.result()  # future.result()メソッドで結果を受け取る
    print(f"合計 : {result=}")  # resultの結果を表示

if __name__ == "__main__":
    main()
