 from concurrent.futures import ThreadPoolExecutor
 from time import sleep, time

 # 繰り返し実行される関数
 def f(val):
     print(f"{val}番目の処理を実行")
     sleep(3)  # 3秒スリープする
     print(f"{val}番目の処理を終了")
     return val * 10

 def main():
     start = time()  # 開始時間
     values = [1, 2, 3, 4, 5]
     # max_workersで最大スレッド数を指定（5スレッド）
     with ThreadPoolExecutor(max_workers=5) as executor:
         results = executor.map(f, values)  # valuesの値の数だけ、f()関数が実行される
     print(list(results))  # 戻り値のresultsはイテラブルオブジェクト
     print(f"{time() - start}")  # 全体の処理時間

 if __name__ == "__main__":
     main()
