import math
from concurrent.futures import ProcessPoolExecutor, as_completed
from time import sleep, time

def circle(val):
    """円の面積を求める。引数val分sleepする"""
    result = math.pi * val * val
    sleep(val)
    return val, result

def main():
    start = time()  # 開始時間
    values = [5, 4, 3, 2, 1]  # circle()関数に渡す引数のリスト
    with ProcessPoolExecutor() as executor:
        futures = [executor.submit(circle, v) for v in values]  # Futureオブジェクトのリスト
        for future in as_completed(futures):  # 処理が終わった順にFutureオブジェクトが処理される
            number, result = future.result()  # circle()関数の戻り値であるvalとresultを受け取る
            print(f"{number=} {result=:.4f}")  # 結果を出力
    print(f"{time() - start}")  # 全体の処理時間

if __name__ == "__main__":
    main()
