 import urllib.error
 import urllib.request
 from concurrent.futures import ThreadPoolExecutor, as_completed

 # アクセスするURLを定義。先頭のURLはページが存在しない
 URLS = [
     "http://example.com/ham",
     "http://www.google.com/",
     "http://www.apple.com/",
     "http://www.facebook.com/",
     "http://twitter.com/",
 ]

 def access_url(url):
     """引数urlにHTTPリクエストする"""
     with urllib.request.urlopen(url) as f:
         return f.read()

 def main():
     """ThreadPoolExecutorでURLへ並行にHTTPリクエストする"""
     with ThreadPoolExecutor(max_workers=5) as executor:
         future_to_url = {executor.submit(access_url, url): url for url in URLS}
         for future in as_completed(future_to_url):
             url = future_to_url[future]
             try:
                 data = future.result()
                 print(f"{url} ページのバイト数: {len(data)} bytes")
             except urllib.error.HTTPError as exc:
                 print(f"{url} HTTPError例外: {exc}")

 if __name__ == "__main__":
     main()
