>>> import subprocess
>>> result = subprocess.run(['echo', 'Hello World!'])  # capture_output引数なしで実行
Hello World!
>>> result  # stdoutとstderrが設定されない
CompletedProcess(args=['echo', 'Hello World!'], returncode=0)
>>> result = subprocess.run(['echo', 'Hello World!'], capture_output=True)  # Trueを指定
>>> result  # stdoutとstderrが設定される
CompletedProcess(args=['echo', 'Hello World!'], returncode=0, stdout=b'Hello World!\n', stderr=b'')
>>> result.stdout  # 標準出力の内容を確認
b'Hello World!\n'
